| Home | Libraries | People | FAQ | More

## Struct template dynamic_cast_

boost::xpressive::op::dynamic_cast_ — `dynamic_cast_<>` is a PolymorphicFunctionObject for dynamically casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/xpressive_fwd.hpp>

    template<typename T>
    struct dynamic_cast_ {

      // public member functions
      template<typename Value> T operator()(Value const &) const;
    };

## Description

### Template Parameters

1.     typename T

   The type to which to dynamically cast the parameter.

### `dynamic_cast_` public member functions

1.     template<typename Value> T operator()(Value const & val) const;

   Parameters:

   `val` | The value to dynamically cast.

   Returns: | `dynamic_cast<T>(val)`